Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils
Class SystemConfigurationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.ode.utils.SystemConfigurationException

All Implemented Interfaces:
  java.io.Serializable

    public class SystemConfigurationException

extends java.lang.RuntimeException

An exception to encapsulate issues with system configuration. Examples include the inability to find required services (e.g., XML parsing).

See Also:
  Serialized Form

Constructor Summary
`SystemConfigurationException(java.lang.String message)` Construct a new instance with the specified message.
`SystemConfigurationException(java.lang.String message, java.lang.Throwable cause)` Construct a new instance with the specified message and a `Throwable` that triggered this exception.
`SystemConfigurationException(java.lang.Throwable cause)` Construct a new instance with the specified `Throwable` as the root cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemConfigurationException

    public SystemConfigurationException(java.lang.String message)

  Construct a new instance with the specified message.

  Parameters:
    `message` - a descriptive message.
  See Also:
    `RuntimeException.RuntimeException(java.lang.String)`

### SystemConfigurationException

    public SystemConfigurationException(java.lang.String message,
                                        java.lang.Throwable cause)

  Construct a new instance with the specified message and a `Throwable` that triggered this exception.

  Parameters:
    `message` - a descriptive message
    `cause` - the cause
  See Also:
    `RuntimeException.RuntimeException(java.lang.String, java.lang.Throwable)`

### SystemConfigurationException

    public SystemConfigurationException(java.lang.Throwable cause)

  Construct a new instance with the specified `Throwable` as the root cause.

  Parameters:
    `cause` - the cause
  See Also:
    `RuntimeException.RuntimeException(java.lang.Throwable)`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD